Package org.eclipse.m2m.atl.emftvm.util

## Class LazyCollection.LongRangeListIterator

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator<E>
  - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator<java.lang.Long>
    - - org.eclipse.m2m.atl.emftvm.util.LazyCollection.LongRangeListIterator

All Implemented Interfaces:
  `java.util.Iterator<java.lang.Long>`, `java.util.ListIterator<java.lang.Long>`

Enclosing class:
  LazyCollection<E>

    public static class LazyCollection.LongRangeListIterator
    extends LazyCollection.ReadOnlyListIterator<java.lang.Long>

`LazyCollection.ReadOnlyIterator` for `Long` ranges.

### Field Summary

Fields
`protected long` `first`
`protected int` `index`
`protected long` `last`

### Constructor Summary

Constructors
`LongRangeListIterator​(long first, long last)` Creates a new `LazyCollection.LongRangeListIterator`.
`LongRangeListIterator​(long first, long last, int index)` Creates a new `LazyCollection.LongRangeListIterator`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`boolean` `hasPrevious()`
`java.lang.Long` `next()`
`int` `nextIndex()`
`java.lang.Long` `previous()`
`int` `previousIndex()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyListIterator

`add, set`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.util.LazyCollection.ReadOnlyIterator

`remove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Methods inherited from interface java.util.ListIterator

`remove`

### Field Detail

#### first

    protected final long first

#### last

    protected final long last

#### index

    protected int index

### Constructor Detail

#### LongRangeListIterator

    public LongRangeListIterator​(long first,
                                 long last)

Creates a new `LazyCollection.LongRangeListIterator`.

Parameters:
  `first` - the first element of the range
  `last` - the last element of the range

#### LongRangeListIterator

    public LongRangeListIterator​(long first,
                                 long last,
                                 int index)

Creates a new `LazyCollection.LongRangeListIterator`.

Parameters:
  `first` - the first element of the range
  `last` - the last element of the range
  `index` - the starting index of the list iterator

### Method Detail

#### hasNext

    public boolean hasNext()

#### next

    public java.lang.Long next()

#### hasPrevious

    public boolean hasPrevious()

#### previous

    public java.lang.Long previous()

#### nextIndex

    public int nextIndex()

#### previousIndex

    public int previousIndex()